## python-blackboxprotobuf 1.4.2

=== lib/Makefile ===
all: check test_py2 test_py3
setup_py2:
	rm -rf /tmp/bbpb-python2-tmp
	python2 -m virtualenv /tmp/bbpb-python2-tmp
	. /tmp/bbpb-python2-tmp/bin/activate
	python2 -m pip install -r tests/requirements-python2-dev.txt
test_py2: setup_py2
	python2 -m pytest tests/py_test/
test_py3:
	poetry env use python3
	poetry run python -m pytest tests/py_test/
format:
	poetry run black .
check:
	poetry run mypy --strict blackboxprotobuf/
prepublish:
	poetry build
	poetry config repositories.test-pypi https://test.pypi.org/legacy/
	# poetry config pypi-token.test-pypi TOKEN
	# poetry publish -r test-pypi
	# poetry config pypi-token.pypi TOKEN
	# poetry publish

=== lib/tests/proxy_tests/Makefile ===
protoc:
	python3 -m grpc_tools.protoc -I./ --python_out=./ --grpc_python_out=./ Test.proto
certs:
	openssl req -x509 -newkey rsa:4096 -keyout key.pem -out cert.pem -days 365 -nodes

=== lib/tests/proxy_tests/requirements.txt ===
grpcio
protobuf
requests
websockets
websocket-client

=== debian/changelog ===
python-blackboxprotobuf (1.4.2-1) unstable; urgency=medium
 
  * Initial release. (Closes: #1128904)
  * d/: Add autopkgtest
  * d/patches: Fix is_grpc crash on malformed gRPC payload

 -- EnkelenaH <enkelenah@debian.org>  Wed, 25 Feb 2026 01:29:40 +0100

=== debian/control ===
Source: python-blackboxprotobuf
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 EnkelenaH <enkelenah@debian.org>,
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 protobuf-compiler <!nocheck>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hypothesis <!nocheck>,
 python3-poetry-core,
 python3-protobuf,
 python3-pytest <!nocheck>,
 python3-six <!nocheck>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-blackboxprotobuf
Vcs-Git: https://salsa.debian.org/python-team/packages/python-blackboxprotobuf.git
Homepage: https://github.com/nccgroup/blackboxprotobuf
Testsuite: autopkgtest-pkg-python

Package: python3-blackboxprotobuf
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for working with protobuf messages without a protobuf type definition
 Protobuf is a binary serialization format from Google which can be used as a
 more efficient alternative to formats like JSON or XML. Developers can define
 the message format in a .proto file and use the protobuf compiler to generate
 message handlers in their language of choice. The protobuf encoding is binary,
 and unlike json/xml not human readable or easy to modify by hand. The format
 also takes advantage of both sides having the message definition and strips out
 much of the type information. This is good for efficiency, but increases the
 difficulty analyzing or modifying the network traffic.
 .
 Blackbox protobuf is designed to allow working with protocol buffers without
 the message definition. It was originally implemented as a Burp extension for
 decoding and modifying messages during mobile pentests, but has also been used
 for reverse engineering and forensics tooling.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=blackboxprotobuf

export PYBUILD_DIR = lib/

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	find .pybuild -path "*/tests/payloads/Test.proto" \
		-exec sh -c 'protoc --python_out=$$(dirname $$(dirname {}))/py_test {}' \;

	PYBUILD_TEST_ARGS="-k 'not test_proto_import_examples'" \
		dh_auto_test

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .mypy_cache .pytest_cache

=== debian/tests/control ===
Tests:
 upstream,
Depends:
 protobuf-compiler,
 python3-all,
 python3-hypothesis,
 python3-protobuf,
 python3-pytest,
 python3-six,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
Version: 5

Source: https://github.com/nccgroup/blackboxprotobuf.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
Mode: git
Pgpmode: none
